Bug 1348412 (CVE-2015-8916) - CVE-2015-8916 libarchive: NULL pointer access in RAR parser through bsdtar
Summary: CVE-2015-8916 libarchive: NULL pointer access in RAR parser through bsdtar
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8916
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352776 1353065 1353066
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-21 06:52 UTC by Doran Moppert
Modified: 2019-09-29 13:51 UTC (History)
4 users (show)

Fixed In Version: libarchive 3.2.0
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted RAR file could cause the application dereference a NULL pointer, leading to a crash.
Clone Of:
Environment:
Last Closed: 2016-10-18 04:56:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC

Description Doran Moppert 2016-06-21 06:52:57 UTC
Upstream bug:
    https://github.com/libarchive/libarchive/issues/504

Upstream Fix (bsdtar only):
    https://github.com/libarchive/libarchive/commit/b2e2abb

libarchive-2.8 does not include support for this format.

Comment 2 Doran Moppert 2016-07-05 04:36:59 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]

Comment 5 errata-xmlrpc 2016-09-12 20:13:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.